Bug 1405856 - Review Request: python-canonicaljson - Canonical JSON
Summary: Review Request: python-canonicaljson - Canonical JSON
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1405854
Blocks: 1405857
TreeView+ depends on / blocked
 
Reported: 2016-12-19 00:00 UTC by Igor Gnatenko
Modified: 2016-12-29 07:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-29 07:18:02 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Igor Gnatenko 2016-12-19 00:00:15 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/matrix/python-canonicaljson.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/matrix/python-canonicaljson-1.0.0-1.fc26.src.rpm
Description:
Features:
* Encodes objects and arrays as RFC 7159 JSON.
* Sorts object keys so that you get the same result each time.
* Has no inignificant whitespace to make the output as small as possible.
* Escapes only the characters that must be escaped,
  U+0000 to U+0019 / U+0022 / U+0056, to keep the output as small as possible.
* Uses the shortest escape sequence for each escaped character.
* Encodes the JSON as UTF-8.
* Can encode frozendict immutable dictionaries.
Fedora Account System Username: ignatenkobrain

Comment 1 Neal Gompa 2016-12-19 01:38:56 UTC
Taking this review.

Comment 2 Neal Gompa 2016-12-19 18:07:50 UTC
Review notes:

- Follows Python packaging guidelines
- Is named appropriately (src package and binary output packages)
- Licensing is good and marked appropriately


PACKAGE APPROVED.

Comment 3 Gwyn Ciesla 2016-12-20 13:53:41 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-canonicaljson

Comment 4 Fedora Update System 2016-12-20 15:12:56 UTC
python-canonicaljson-1.0.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f4174b0049

Comment 5 Fedora Update System 2016-12-21 15:50:34 UTC
python-canonicaljson-1.0.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f4174b0049

Comment 6 Fedora Update System 2016-12-29 07:18:02 UTC
python-canonicaljson-1.0.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.